Marketplace
Approve application → match link
POST
https://api.thearvexa.com/api/marketplace/applications/{id}/approveMarketplace
Recent Requests
Log in to see full request history| Time | Status | User Agent |
|---|---|---|
| Make a request to see history. | ||
Path Params
idstringrequiredHeaders
x-organization-idstringrequiredTenant organization identifier
x-user-rolestringrequiredDevelopment RBAC role (for example SUPER_ADMIN, ORG_ADMIN, OPS_MANAGER, VIEWER)
x-user-idstringTrusted authenticated actor id (interim header auth). Recorded as the actor on sensitive writes such as finance adjustments and their approve/reject decisions. Ignored when header auth is disabled.
Responses
200Responseapplication/json
Response
Schema
object
okbooleanrequiredenabledbooleanrequiredcontextobjectrequiredorganizationIdstringrequiredlistingIdstringoptionalapplicationIdstringoptionalofferIdstringoptionalidempotentbooleanoptionalcreatedbooleanoptionalExample
{
"ok": true,
"enabled": true,
"listingId": "string",
"applicationId": "string",
"offerId": "string",
"idempotent": true,
"created": true
}